This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2021-09-26 00:11
Elapsed3m12s
Revision
Builder45159159-1e5e-11ec-aa51-d2836bccddff
infra-commit32993b3b2
reposigs.k8s.io/gcp-compute-persistent-disk-csi-driver
repo-commitf5055fab178a409a53938e4a538984001a3b12e5
repos{u'sigs.k8s.io/gcp-compute-persistent-disk-csi-driver': u'master'}

No Test Failures!


Error lines from build-log.txt

... skipping 55 lines ...
W0926 00:13:08.046] I0926 00:13:08.045783    3614 utils.go:139] Using project k8s-gce-gci-m-1-6-ctl-skw-srl and service account 270587860520-compute@developer.gserviceaccount.com
I0926 00:13:08.902] Pushing GCP Container for Linux
I0926 00:13:08.903] [make -C /go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver push-container GCE_PD_CSI_STAGING_VERSION=55f579d7-c0f7-468a-8305-258bfdc48d44 GCE_PD_CSI_STAGING_IMAGE=gcr.io/k8s-gce-gci-m-1-6-ctl-skw-srl/gcp-persistent-disk-csi-driver]
I0926 00:13:08.905] make: Entering directory '/go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver'
I0926 00:13:08.905] # Ensure we use a builder that can leverage it (the default on linux will not)
I0926 00:13:08.906] DOCKER_CLI_EXPERIMENTAL=enabled docker buildx rm multiarch-multiplatform-builder
W0926 00:13:09.022] error: no builder "multiarch-multiplatform-builder" found
W0926 00:13:09.031] make: [Makefile:128: init-buildx] Error 1 (ignored)
I0926 00:13:09.131] DOCKER_CLI_EXPERIMENTAL=enabled docker buildx create --use --name=multiarch-multiplatform-builder
I0926 00:13:09.149] multiarch-multiplatform-builder
I0926 00:13:09.157] DOCKER_CLI_EXPERIMENTAL=enabled docker run --rm --privileged multiarch/qemu-user-static --reset --credential yes --persistent yes
W0926 00:13:09.257] Unable to find image 'multiarch/qemu-user-static:latest' locally
W0926 00:13:10.067] latest: Pulling from multiarch/qemu-user-static
W0926 00:13:10.068] 24fb2886d6f6: Pulling fs layer
... skipping 161 lines ...
W0926 00:14:05.393] #13 0.230 Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
W0926 00:14:05.695] #13 0.420 Get:2 http://security.debian.org/debian-security buster/updates/main amd64 Packages [305 kB]
W0926 00:14:29.157] #13 ...
W0926 00:14:29.158] 
W0926 00:14:29.158] #14 [mad-hack 2/2] RUN clean-install udev
W0926 00:14:29.158] #14 60.28 Err:3 http://deb.debian.org/debian buster InRelease
W0926 00:14:29.158] #14 60.28   Connection failed [IP: 151.101.186.132 80]
W0926 00:14:29.158] #14 60.31 Get:4 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
W0926 00:14:29.262] #14 60.48 Get:5 http://deb.debian.org/debian buster-updates/main amd64 Packages [15.2 kB]
W0926 00:14:29.262] #14 60.49 Fetched 437 kB in 60s (7252 B/s)
W0926 00:14:29.364] #14 60.49 Reading package lists...
W0926 00:14:29.365] #14 60.53 W: Failed to fetch http://deb.debian.org/debian/dists/buster/InRelease  Connection failed [IP: 151.101.186.132 80]
W0926 00:14:29.365] #14 60.53 W: Some index files failed to download. They have been ignored, or old ones used instead.
W0926 00:14:29.365] #14 60.54 Reading package lists...
W0926 00:14:29.365] #14 60.58 Building dependency tree...
W0926 00:14:29.366] #14 60.58 Reading state information...
W0926 00:14:29.366] #14 60.59 Some packages could not be installed. This may mean that you have
W0926 00:14:29.366] #14 60.59 requested an impossible situation or if you are using the unstable
W0926 00:14:29.366] #14 60.59 distribution that some required packages have not yet been created
... skipping 3 lines ...
W0926 00:14:29.367] #14 60.59 The following packages have unmet dependencies:
W0926 00:14:29.367] #14 60.59  udev : Depends: libblkid1 (>= 2.24) but it is not installable
W0926 00:14:29.368] #14 60.59         Depends: libkmod2 (>= 5~) but it is not installable
W0926 00:14:29.368] #14 60.59         Depends: lsb-base (>= 3.0-6) but it is not installable
W0926 00:14:29.481] #14 60.59         Depends: util-linux (>= 2.27.1) but it is not installable
W0926 00:14:29.482] #14 60.59 E: Unable to correct problems, you have held broken packages.
W0926 00:14:29.482] #14 ERROR: process "/bin/sh -c clean-install udev" did not complete successfully: exit code: 100
W0926 00:14:29.482] 
W0926 00:14:29.482] #13 [stage-2 3/4] RUN clean-install util-linux e2fsprogs mount ca-certificates udev xfsprogs
W0926 00:14:29.483] #13 CANCELED
W0926 00:14:29.486] ------
W0926 00:14:29.486]  > [mad-hack 2/2] RUN clean-install udev:
W0926 00:14:29.487] #14 60.59 distribution that some required packages have not yet been created
... skipping 12 lines ...
W0926 00:14:29.489]   26 |     # MAD HACKS: Build a version first so we can take the scsi_id bin and put it somewhere else in our real build
W0926 00:14:29.489]   27 |     FROM k8s.gcr.io/build-image/debian-base:buster-v1.9.0 as mad-hack
W0926 00:14:29.489]   28 | >>> RUN clean-install udev
W0926 00:14:29.490]   29 |     
W0926 00:14:29.490]   30 |     # Start from Kubernetes Debian base
W0926 00:14:29.490] --------------------
W0926 00:14:29.490] error: failed to solve: process "/bin/sh -c clean-install udev" did not complete successfully: exit code: 100
W0926 00:14:29.498] make: *** [Makefile:50: build-container] Error 1
I0926 00:14:29.598] make: Leaving directory '/go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver'
W0926 00:14:30.395] F0926 00:14:30.395127    3614 main.go:189] Failed to run integration test: failed pushing image: failed to run make command for linux: err: exit status 2
W0926 00:14:30.400] Traceback (most recent call last):
W0926 00:14:30.400]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0926 00:14:30.400]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0926 00:14:30.400]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0926 00:14:30.400]     check(*cmd)
W0926 00:14:30.400]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0926 00:14:30.400]     subprocess.check_call(cmd)
W0926 00:14:30.401]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0926 00:14:30.401]     raise CalledProcessError(retcode, cmd)
W0926 00:14:30.401] subprocess.CalledProcessError: Command '('test/run-k8s-integration-migration.sh',)' returned non-zero exit status 255
E0926 00:14:30.405] Command failed
I0926 00:14:30.405] process 430 exited with code 1 after 3.0m
E0926 00:14:30.405] FAIL: ci-gcp-compute-persistent-disk-csi-driver-latest-k8s-master-migration
I0926 00:14:30.406] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0926 00:14:31.075] Activated service account credentials for: [pr-kubekins@kubernetes-jenkins-pull.iam.gserviceaccount.com]
I0926 00:14:31.217] process 6469 exited with code 0 after 0.0m
I0926 00:14:31.217] Call:  gcloud config get-value account
I0926 00:14:31.871] process 6482 exited with code 0 after 0.0m
I0926 00:14:31.872] Will upload results to gs://kubernetes-jenkins/logs using pr-kubekins@kubernetes-jenkins-pull.iam.gserviceaccount.com
... skipping 20 lines ...